# $Revision: 1.10 $, $Date: 2002/04/25 14:54:09 $
Summary:	A software to do TCP/IP stack auditing and much more
Summary(pl):	Oprogramowanie do audytu stosu TCP/IP
Name:		hping2
Version:	2.0.0
Release:	2
License:	GPL/BSD
Group:		Networking/Utilities
Source0:	http://www.hping.org/%{name}.0.0-rc1.tar.gz
Patch0:		%{name}-system-libpcap.patch
URL:		http://www.hping.org/
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hping2 is a network tool able to send custom ICMP/UDP/TCP packets and
to display target replies like ping do with ICMP replies. hping2
handle fragmentation, arbitrary packet body and size and can be used
in order to transfer files under supported protocols.

%description -l pl
hping2 to narzdzie sieciowe do wysyania wasnych pakietw
ICMP/UDP/TCP i wywietlania odpowiedzi, podobnie jak robi to ping z
odpowiedziami ICMP. hping2 obsuguje fragmentacj, dowolne zawartoci
i rozmiary pakietw i moe by uywany do przesyania plikw przez
obsugiwane protokoy.

%prep
%setup -q -n hping2
#%patch -p1

%build
MANPATH="%{_mandir}" \
./configure --force-libpcap

%{__make} \
	CC="%{__cc}" \
	CCOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install hping2 $RPM_BUILD_ROOT%{_sbindir}
install docs/hping2.8  $RPM_BUILD_ROOT%{_mandir}/man8

ln -sf hping2 $RPM_BUILD_ROOT%{_sbindir}/hping

rm -fR docs/CVS
gzip -9nf COPYING *BUGS README TODO docs/[A-Z]*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {COPYING,*BUGS,README,TODO}.gz docs/[A-Z]*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: hping2.spec,v $
Revision 1.10  2002/04/25 14:54:09  kloczek
- use CC="%%{__cc}" in make parameters.

Revision 1.9  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/30 08:10:54  qboosh
- pl description, cosmetics

Revision 1.4  2001/11/29 21:33:12  filon
- fixed broken %%doc
- release 2

Revision 1.3  2001/08/15 14:59:49  areq
- update 2.0.0-rc1
- update url

Revision 1.2  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
